| Earth Observation Mission CFI Software Orbit Software User Manual |

Public Attributes

# EECFI::OrbitalInfo Class Reference

Orbital information. More...

List of all members.

## Public Attributes
long | absOrbit
| Absolute orbit.
long | repCycle
| Repeat cycle.
long | cycLength
| Cycle length.
double | mlstDrift
| MLST drift [seconds/day].
double | mlst
| Mean Local Solar Time [hours].
double | phasing
| Longitude at ascending node [deg].
double | utcAnx
| UTC time at ascending node [days, processing format].
double | posAnx [3]
| Position at ascending node [m].
double | velAnx [3]
| Velocity at Ascending node [m/s].
double | meanKep [6]
| Mean keplerian elements.
double | oscKep [6]
| Osculating keplerian elements.
double | nodalPeriod
| Nodal period of orbit [s].
double | utcSmx
| UTC time at Spacecraft Midnight [days, processing format].

## Detailed Description

Orbital information.

## Member Data Documentation

long EECFI::OrbitalInfo::absOrbit

Absolute orbit.

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

long EECFI::OrbitalInfo::cycLength

Cycle length.

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::meanKep[6]

Mean keplerian elements.

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::mlst

Mean Local Solar Time [hours].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::mlstDrift

MLST drift [seconds/day].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::nodalPeriod

Nodal period of orbit [s].

Referenced by EECFI::ANXTime::adjustWithNodalPeriod(), EECFI::OrbitId::getOrbitInfo(), EECFI::ANXTime::getOrbitInfo(), and EECFI::ANXTime::operator-().

double EECFI::OrbitalInfo::oscKep[6]

Osculating keplerian elements.

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::phasing

Longitude at ascending node [deg].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::posAnx[3]

Position at ascending node [m].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

long EECFI::OrbitalInfo::repCycle

Repeat cycle.

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::utcAnx

UTC time at ascending node [days, processing format].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::utcSmx

UTC time at Spacecraft Midnight [days, processing format].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().

double EECFI::OrbitalInfo::velAnx[3]

Velocity at Ascending node [m/s].

Referenced by EECFI::OrbitId::getOrbitInfo(), and EECFI::ANXTime::getOrbitInfo().